### Function

# Gimp temp_file

#### Declaration [src]

    GFile*
    gimp_temp_file (
      const gchar* extension
    )

#### Description [src]

Generates a unique temporary file.

Generates a unique file using the temp path supplied in the user’s gimprc.

#### Parameters

`extension`

  Type: `const gchar*`

  The extension the file will have.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

The new temp file.

The caller of the function takes ownership of the data, and is responsible for freeing it.